Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class JARFileJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
          org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.JARFileJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

public class JARFileJSFAppConfigProvider
extends AbstractJSFAppConfigProvider

JARFileJSFAppConfigProvider provides the root element of an application configuration model by loading the model from a /META-INF/faces-config.xml entry in a JAR file.

Field Summary
`static java.lang.String` | `FACES_CONFIG_IN_JAR_SUFFIX` Suffix required to turn filename into a JAR URI.
`protected FacesConfigType` | `facesConfig` Cached `FacesConfigType` instance.
`protected java.lang.String` | `filename` Name of a JAR file that contains a /META-INF/faces-config.xml entry.
`static java.lang.String` | `JARFILE_URI_PREFIX` Prefix required to turn filename into a JAR URI.
`protected boolean` | `loadErrorLogged` Flag to track if load error has been logged at least once.

Fields inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`jsfAppConfigLocater`

Constructor Summary
`JARFileJSFAppConfigProvider(java.lang.String filename)` Creates an instance, storing the passed IProject instance and file name String to be used for subsequent processing.

Method Summary
`boolean` | `equals(java.lang.Object otherObject)`
`FacesConfigType` | `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`int` | `hashCode()`
`protected void` | `logLoadError(java.lang.Throwable ex)` Called to log a load error; load error will be logged once only per instance, per VM session.
`void` | `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`setJSFAppConfigLocater`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JARFILE_URI_PREFIX

    public static final java.lang.String JARFILE_URI_PREFIX

  Prefix required to turn filename into a JAR URI.

  See Also:
    Constant Field Values

### FACES_CONFIG_IN_JAR_SUFFIX

    public static final java.lang.String FACES_CONFIG_IN_JAR_SUFFIX

  Suffix required to turn filename into a JAR URI.

  See Also:
    Constant Field Values

### filename

    protected java.lang.String filename

  Name of a JAR file that contains a /META-INF/faces-config.xml entry.

### facesConfig

    protected FacesConfigType facesConfig

  Cached `FacesConfigType` instance.

### loadErrorLogged

    protected boolean loadErrorLogged

  Flag to track if load error has been logged at least once.

Constructor Detail

### JARFileJSFAppConfigProvider

    public JARFileJSFAppConfigProvider(java.lang.String filename)

  Creates an instance, storing the passed IProject instance and file name String to be used for subsequent processing.

Parameters:
  `filename` - Name of a JAR file that contains a /META-INF/faces-config.xml entry.

Method Detail

### getFacesConfigModel

    public FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `getFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### releaseFacesConfigModel

    public void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `releaseFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### logLoadError

    protected void logLoadError(java.lang.Throwable ex)

  Called to log a load error; load error will be logged once only per instance, per VM session.

  Parameters:
    `ex` - Throwable instance to be logged.

### equals

    public boolean equals(java.lang.Object otherObject)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD